=== debian/changelog ===
kodi-audiodecoder-openmpt-dmo (1:19.0.1-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Nov 2021 10:38:17 +0100

kodi-audiodecoder-openmpt-dmo (1:19.0.0-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 27 Sep 2021 08:16:13 +0200

kodi-audiodecoder-openmpt-dmo (1:3.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 24 Jan 2021 16:31:42 +0100

kodi-audiodecoder-openmpt-dmo (2.0.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Feb 2020 08:59:06 +0100

kodi-audiodecoder-openmpt-dmo (2.0.3-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 06 Feb 2020 08:54:34 +0100
