=== debian/control ===
Source: kodi-audiodecoder-openmpt-dmo
Section: sound
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:19~),
 libopenmpt-dev, ninja-build

Package: kodi-audiodecoder-openmpt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${kodi:AUDIODECODERAPI}
Description: OpenMPT audio decoder for Kodi
 OpenMPT (short hand for Open ModPlug Tracker) is completely free and his
 library allows you play back some great music on your Kodi.
 .
 It supports loading of IT (Impulse Tracker), XM (FastTracker Extended
 Module), MOD (ProTracker and similar), S3M (Scream Tracker 3) and MPTM (its
 own file format) files, imports many more module and sample file formats.
