## kodi-audiodecoder-openmpt-dmo 20.2.0

=== debian/changelog ===
kodi-audiodecoder-openmpt-dmo (1:20.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Jan 2023 13:53:51 +0100

kodi-audiodecoder-openmpt-dmo (1:19.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Nov 2021 10:33:28 +0100

kodi-audiodecoder-openmpt-dmo (1:19.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 27 Sep 2021 00:29:54 +0200
