## kodi-audiodecoder-openmpt-dmo 21.0.2

=== debian/changelog ===
kodi-audiodecoder-openmpt-dmo (1:21.0.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Jan 2025 09:23:45 +0100

kodi-audiodecoder-openmpt-dmo (1:21.0.0-dmo1+b1) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 Nov 2024 15:22:33 +0100

kodi-audiodecoder-openmpt-dmo (1:21.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 07 Apr 2024 10:55:34 +0200
