=== debian/watch ===
version=4

#https://github.com/xbmc/audiodecoder.openmpt/releases \
#(?:.*?/)??(\d[\d.]*)-Nexus@ARCHIVE_EXT@
